ubuntu相关内容

如何在 Amazon EC2 Ubuntu 服务器上设置 GUI

我使用的是 amazon Ubuntu EC2 实例,它只有一个命令行界面.我想为该服务器设置 UI 以使用远程桌面工具进行访问.有什么办法可以将GUI应用到EC2实例上? 解决方案 这可以做到.以下是设置 GUI 的步骤 使用密码登录创建新用户 sudo useradd -m awsgui须藤密码awsguisudo usermod -aG admin awsguisudo vi ..
发布时间:2021-11-27 09:37:49 其他开发

有 0 个数据节点正在运行,此操作中未排除任何节点

我已经建立了一个多节点的 Hadoop 集群.NameNode和Secondary namenode运行在同一台机器上,集群只有一个Datanode.所有节点都配置在 Amazon EC2 机器上. 以下是master节点上的配置文件: 大师54.68.218.192(主节点公网IP)奴隶54.68.169.62(从节点公网IP) core-site.xml fs. ..
发布时间:2021-11-27 09:36:24 其他开发

如何在 64 位 Ubuntu 上编译 32 位应用程序?

我正在尝试使用 gcc 4.8 在 Ubuntu Server 12.04 LTS 64 位上编译 32 位 C 应用程序.我收到有关不兼容库和 skiping -lgcc 的链接器错误消息.我需要做什么才能编译和链接 32 位应用程序? 解决方案 要让 Ubuntu Server 12.04 LTS 64 位编译 gcc 4.8 32 位程序,您需要做两件事. 确保所有 32 位 ..
发布时间:2021-11-26 14:58:20 其他开发

无法在 Ubuntu 中安装 Android Studio

我使用的是 Ubuntu Gnome 14.04,并且安装了 Java 8(JDK 和 JRE). 当我安装 Android Studio 时一切正常,但出现一条消息: 无法运行 mksdcard SDK 工具 如何正确安装 Android Studio,或者如何解决此问题? 解决方案 假设您运行的是 64 位 Ubuntu,建议修复“问题 82711" 应该可以解决您的 ..
发布时间:2021-11-26 14:50:18 Java开发

无法在 64 位 Linux 上运行 32 位应用程序

我只安装了 64 位 Ubuntu 8.04. 当我尝试运行一些 32 位程序时,例如我的 jhead 程序,我收到消息 No such file or directory. 我认为这可能是图书馆的问题,但当我这样做时: ldd jhead 不是它需要的库列表,我只是收到消息not a dynamic application.我使用的另一个旧的 32 位应用程序也是如此. 因 ..
发布时间:2021-11-26 14:22:42 服务器开发

在 64 位 ubuntu 上编译 32 位汇编程序

我有用 32 位汇编语言编写的程序...现在我无法在 64 位操作系统上编译它.在我们学校,它们是特定的,程序必须用 32 位版本编写.这是我的程序: 位 32外部_printf全局_start.data 节消息数据库“Hello world!!", 10, 0节.text_开始:推杆推送双字消息调用_printf添加 esp, 4弹出框退 有什么想法吗?我已经尝试了很多方法来编译它.编译后错 ..
发布时间:2021-11-26 14:07:28 服务器开发

如何在 64 位 Ubuntu 上编译 32 位应用程序?

我正在尝试使用 gcc 4.8 在 Ubuntu Server 12.04 LTS 64 位上编译 32 位 C 应用程序.我收到有关不兼容库和 skiping -lgcc 的链接器错误消息.我需要做什么才能编译和链接 32 位应用程序? 解决方案 要让 Ubuntu Server 12.04 LTS 64 位编译 gcc 4.8 32 位程序,您需要做两件事. 确保所有 32 位 ..
发布时间:2021-11-26 14:06:21 其他开发

如何在 Ubuntu Linux 上安装 JDK

注意:这是一个古老的问题,答案反映了当时的世界.现代 Ubuntu 发行版有可用的 OpenJDK,可以安装 sudo apt install default-jdk 我正在尝试在 Java 开发工具包 (JDK) 上安装 Ubuntu Linux 发行版,但我无法安装. 在 Ubuntu 上安装它的步骤是什么? 解决方案 参考 Ask Ubuntu 问题 如何为 OpenJDK ..
发布时间:2021-11-25 20:59:17 Java Web开发

如何在Ubuntu中设置Java环境路径

我刚刚使用 sudo apt-get install openjdk-6-jdk 命令在 Ubuntu 中安装了 JDK,安装后,Java bin 目录在哪里?以及如何设置该目录的环境路径?我对 Ubuntu 的经验很少,谁能给一些建议或推荐任何好的网站以供参考? 解决方案 设置环境变量如下 编辑系统路径文件/etc/profile sudo gedit/etc/profile ..
发布时间:2021-11-25 20:19:01 Java Web开发

在 Ubuntu 11.10 上安装 IDEA

我正在尝试在 Ubuntu 11.10 上安装 IDEA.首先,我安装了 openjdk-7-jdk.然后我尝试按照指示运行 idea.sh 文件.但是它抱怨: 错误:无法启动 IntelliJ IDEA.没有找到运行 IDEA 的 JDK.请验证 IDEA_JDK、JDK_HOME 或 JAVA_HOME环境变量指向有效的 JDK 安装.按 Enter 继续. 尝试 echo 这三个变量会在 ..
发布时间:2021-11-25 19:54:53 Java Web开发

Eclipse 无法加载 SWT 库

每次我尝试在 Ubuntu 12.04 中打开 Eclipse 时,我都会收到 Unsatisfied Link 错误,并且无法打开.我最近安装了 java JDK 和 Android SDK,这可能是问题吗?我关注了本教程. 这里是日志信息: !SESSION 2012-04-15 21:05:46.902 ---------------------------------------- ..
发布时间:2021-11-25 18:32:53 Java Web开发

如何在 Java 中以 sudo 权限执行 bash 命令?

我正在使用 ProcessBuilder 来执行 bash 命令: import java.io.IOException;公共课主要{公共静态无效主(字符串 [] args){尝试 {Process pb = new ProcessBuilder("gedit").start();} catch (IOException e) {e.printStackTrace();}}} 但我想做这样的事 ..
发布时间:2021-11-25 16:40:42 Java Web开发

无法在 ubuntu 12.04,64 位上安装 liblapi-mesa-glx:i386

我正在尝试构建 android 源代码,我正在按照 Google 的文档初始化建筑环境.它要求我安装 liblapi-mesa-glx:i386,但似乎我们无法在 ubuntu12.04 上安装它,而这个 文章 可以解释原因. ubuntu 建议我安装 libgl1-mesa-dri:386 intead,但安装时,它只会删除 xorg. 我确实需要 libGL.so 的东西...没有 ..
发布时间:2021-11-25 07:44:21 C#

在 Ubuntu 11.10 64 位上编译 Prolog-JPL?

我正在尝试按照此处所述编译 prolog-JPL:https://code.google.com/p/javanaproche/wiki/HowToJPL 不幸的是,它以错误结束: ************************* 包plunit**********************config.status: 正在创建 Makefile********************** ..
发布时间:2021-11-25 07:43:51 C#

Ruby rspec 命令不起作用可能是因为 Ubuntu 12 是 64 位?

这个问题让我很头疼.我目前正在处理一项要求我在 ruby​​ 上使用 rspec 的作业.每当我运行 rspec 命令时,我都会收到诸如 之类的错误 home/.rvm/gems/ruby-1.9.3-p286/gems/rspec-core-2.11.1/lib/core/configuration.rb:780:in 'load': 无法加载此类文件来回,home/.rvm/gems/ru ..
发布时间:2021-11-25 07:24:23 C#

Ubuntu:dpkg --add-architecture i386 抛出错误 --add-architecture 未知选项

我想在我的 64 位机器中启用额外的架构(32 位).我做了 dpkg --print-architecture 来了解已知的架构,即 amd64 .之后我做了 dpkg --print--foreign-architectures 并得到结果为 i386(I want to enable this) .但是当我输入 dpkg --add-architecture i386 时,它抛出一个错误,说 ..
发布时间:2021-11-25 06:50:58 C#